[Unit]
Description=DNS Privacy Stub Resolver
Documentation=https://dnsprivacy.org/wiki/display/DP/DNS+Privacy+Daemon+-+Stubby
Wants=network-online.target
After=network-online.target

[Service]
WorkingDirectory=/run/stubby
ExecStart=/usr/bin/stubby -C /etc/stubby/stubby.yml
AmbientCapabilities=CAP_NET_BIND_SERVICE
CapabilityBoundingSet=CAP_NET_BIND_SERVICE
RuntimeDirectory=stubby
DynamicUser=true
Restart=on-failure
RestartSec=1

[Install]
WantedBy=multi-user.target
